Package com.google.android.exoplayer2

## Class ThumbRating

- java.lang.Object
- - com.google.android.exoplayer2.Rating
  - - com.google.android.exoplayer2.ThumbRating

- All Implemented Interfaces:
    `Bundleable`

      public final class ThumbRating
      extends Rating

  A rating expressed as "thumbs up" or "thumbs down".

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.google.android.exoplayer2.Bundleable

      `Bundleable.Creator<T extends Bundleable>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Bundleable.Creator<ThumbRating>` | `CREATOR` | Object that can restore a `ThumbRating` from a `Bundle`.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ThumbRating()` | Creates a unrated instance.
    `ThumbRating​(boolean isThumbsUp)` | Creates a rated instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `int` | `hashCode()` |
    `boolean` | `isRated()` | Whether the rating exists or not.
    `boolean` | `isThumbsUp()` | Returns whether the rating is "thumbs up".
    `Bundle` | `toBundle()` | Returns a `Bundle` representing the information stored in this object.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CREATOR

          public static final Bundleable.Creator<ThumbRating> CREATOR

      Object that can restore a `ThumbRating` from a `Bundle`.

  - ### Constructor Detail

    - #### ThumbRating

          public ThumbRating()

      Creates a unrated instance.

    - #### ThumbRating

          public ThumbRating​(boolean isThumbsUp)

      Creates a rated instance.
      Parameters:
        `isThumbsUp` - `true` for "thumbs up", `false` for "thumbs down".

  - ### Method Detail

    - #### isRated

          public boolean isRated()

      Description copied from class: `Rating`
      Whether the rating exists or not.
      Specified by:
        `isRated` in class `Rating`

    - #### isThumbsUp

          public boolean isThumbsUp()

      Returns whether the rating is "thumbs up".

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(@Nullable
                                Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toBundle

          public Bundle toBundle()

      Description copied from interface: `Bundleable`
      Returns a `Bundle` representing the information stored in this object.